#!/bin/bash
# Bootc dracut module

check() {
    return 0
}

depends() {
    echo systemd
    return 0
}

install() {
    inst /usr/bin/bootc
    inst /etc/bootc.conf
    inst /usr/lib/ostree/prepare-root.conf
    inst_hook cmdline 30 "$moddir/bootc-cmdline.sh"
    inst_hook initqueue/settled 30 "$moddir/bootc-init.sh"
}

installkernel() {
    return 0
}
